<template>
  <div class="contact-list__user">
    <q-img
      :src="getSrc()"
      class="contact-list__avatar"
      style="height: 40px; width: 40px"
      :ratio="1"
      no-default-spinner
    />
    <span v-if="!onlyAvatar" class="contact-list__nickname">{{ user.nickname }}</span>
  </div>
</template>

<script lang="ts">
import { defineComponent, PropType } from '@vue/composition-api'
import { User } from 'pages/auth/Auth.vue'

export default defineComponent({
  name: 'ContactItem',
  props: {
    user: {
      type: (Object as unknown) as PropType<User>,
      required: true
    },
    onlyAvatar: {
      type: Boolean
    }
  },

  setup (props) {
    function getSrc (): string {
      return (props.user.avatar.includes('data:image/png;base64') || props.user.avatar.includes('data:image/jpeg;base64'))
        ? props.user.avatar : `../statics/${props.user.avatar}`
    }

    return { getSrc }
  }
})
</script>

<style lang="scss" scoped>
@import '../css/variables';

$indent: 10px;

.contact-list {
  &__user {
    display: flex;
    align-items: center;
  }

  &__avatar {
    border-radius: 50%;
    width: 40px;
    height: 40px;
  }

  &__nickname {
    margin-left: $indent;
    font-size: 16px;
  }
}
</style>
